Module org.jfree.pdf
Package org.jfree.pdf

# Class PDFGraphicsConfiguration

java.lang.Object
java.awt.GraphicsConfiguration
org.jfree.pdf.PDFGraphicsConfiguration

public class PDFGraphicsConfiguration extends GraphicsConfiguration
A graphics configuration for the `PDFGraphics2D` class.

## Constructor Summary

Constructors
Constructor
Description
`PDFGraphicsConfiguration(int width, int height)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`VolatileImage`
`createCompatibleVolatileImage(int width, int height, ImageCapabilities caps, int transparency)`
`Rectangle`
`getBounds()`
Returns the bounds for this configuration.
`ColorModel`
`getColorModel()`
Returns the color model for this configuration.
`ColorModel`
`getColorModel(int transparency)`
Returns the color model for the specified transparency type, or `null`.
`AffineTransform`
`getDefaultTransform()`
Returns the default transform.
`GraphicsDevice`
`getDevice()`
Returns the graphics device that this configuration is associated with.
`AffineTransform`
`getNormalizingTransform()`
Returns the normalizing transform.

### Methods inherited from class java.awt.GraphicsConfiguration

`createCompatibleImage, createCompatibleImage, createCompatibleVolatileImage, createCompatibleVolatileImage, createCompatibleVolatileImage, getBufferCapabilities, getImageCapabilities, isTranslucencyCapable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PDFGraphicsConfiguration

public PDFGraphicsConfiguration(int width, int height)
Creates a new instance.

Parameters:
  `width` - the width of the bounds.
  `height` - the height of the bounds.

## Method Details

### getDevice

public GraphicsDevice getDevice()
Returns the graphics device that this configuration is associated with.

Specified by:
  `getDevice` in class `GraphicsConfiguration`
Returns:
  The graphics device (never `null`).

### getColorModel

public ColorModel getColorModel()
Returns the color model for this configuration.

Specified by:
  `getColorModel` in class `GraphicsConfiguration`
Returns:
  The color model.

### getColorModel

public ColorModel getColorModel(int transparency)
Returns the color model for the specified transparency type, or `null`.

Specified by:
  `getColorModel` in class `GraphicsConfiguration`
Parameters:
  `transparency` - the transparency type.
Returns:
  A color model (possibly `null`).

### getDefaultTransform

public AffineTransform getDefaultTransform()
Returns the default transform.

Specified by:
  `getDefaultTransform` in class `GraphicsConfiguration`
Returns:
  The default transform.

### getNormalizingTransform

public AffineTransform getNormalizingTransform()
Returns the normalizing transform.

Specified by:
  `getNormalizingTransform` in class `GraphicsConfiguration`
Returns:
  The normalizing transform.

### getBounds

public Rectangle getBounds()
Returns the bounds for this configuration.

Specified by:
  `getBounds` in class `GraphicsConfiguration`
Returns:
  The bounds.

### createCompatibleVolatileImage

public VolatileImage createCompatibleVolatileImage(int width, int height, ImageCapabilities caps, int transparency) throws AWTException

Overrides:
  `createCompatibleVolatileImage` in class `GraphicsConfiguration`
Throws:
  `AWTException`